FLAGS = -std=c++17 -fvisibility=hidden -I $(KLAMMERTEXT_HOME)/src

ifdef OPTIMIZE
OPTIMIZE = -O3
else ifdef NOPYTHON
OPTIMIZE = -O0 -g -DNOPYTHON
else
OPTIMIZE = -ggdb 
endif


book.so : book.cpp
	$(CXX) $(FLAGS) $(OPTIMIZE) -fPIC -c book.cpp
	$(CXX) $(FLAGS) $(OPTIMIZE) -shared -o book.so book.o

clean :
	rm -f book.o book.so *~
